<script setup>
import { RouterLink, RouterView } from 'vue-router'
</script>

<template>
  <!--Cabecera-->
  <header>
    <a href="/">
      <img alt="MarvelDC logo" class="logo" src="@/assets/logo.png" />
    </a>

    <button id="menu" type="button">
      <span id="menu-abrir">&#9776</span>
      <span id="menu-cerrar">X</span>
    </button>

    <nav>
      <ul>
        <li>
          <RouterLink to="/">Home</RouterLink>
        </li>
        <li>
          <RouterLink :to="`/Marvel/marvel?type=Marvel-Comics`">Heroes Marvel</RouterLink>
        </li>
        <li>
          <RouterLink :to="`/DC/dc?type=DC-Comics`">Heroes DC</RouterLink>
        </li>
        <li>
          <RouterLink to="/about">Acerca de mi</RouterLink>
        </li>
      </ul>
    </nav>

  </header>

  <RouterView />
</template>

<style scoped></style>
